As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 725137 - RIL: process registration state + GPRS registration state
: RIL: process registration state + GPRS registration state
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: Trunk
: ARM Gonk (Firefox OS)
: -- normal (vote)
: mozilla13
Assigned To: Philipp von Weitershausen [:philikon]
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: b2g-ril
  Show dependency treegraph
 
Reported: 2012-02-07 15:50 PST by Philipp von Weitershausen [:philikon]
Modified: 2012-02-10 11:30 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (14.43 KB, patch)
2012-02-09 12:00 PST, Philipp von Weitershausen [:philikon]
kyle: review+
Details | Diff | Splinter Review

Description User image Philipp von Weitershausen [:philikon] 2012-02-07 15:50:35 PST
Knowing that the radio is online and the SIM card is ready is not enough. We need to know whether we're registered with the network, whether calls are possible, whether only emergency calls are possible, whether we'd be data roaming or not, etc.
Comment 1 User image Philipp von Weitershausen [:philikon] 2012-02-09 11:28:49 PST
Turns out, we kinda need this to know whether we can even kick off a data call.
Comment 2 User image Philipp von Weitershausen [:philikon] 2012-02-09 12:00:38 PST
Created attachment 595839 [details] [diff] [review]
v1
Comment 3 User image Kyle Machulis [:qdot] 2012-02-09 12:20:12 PST
Comment on attachment 595839 [details] [diff] [review]
v1

Review of attachment 595839 [details] [diff] [review]:
-----------------------------------------------------------------

nit: Might want to comment that we don't have cdma support yet so that's pretty much a zombie code branch that will be raised from the dead once we do get cdma support. Otherwise, r=me
Comment 4 User image Philipp von Weitershausen [:philikon] 2012-02-10 11:30:41 PST
Pushed, with added comment referring to newly filed bug 726098:

https://hg.mozilla.org/mozilla-central/rev/88d42cd1d51f

Note You need to log in before you can comment on or make changes to this bug.